import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl ='https://gist.githubusercontent.com/yyaaa1/2a71bdf8de2d1fb6bcf02ee19e2d7322/raw/b4c60146dcde79aba86912813648dbdab92e8fa8/crime.csv';

const row = d => {
  d['Latitude'] = +d['latitude'];
  d['Longitude'] = +d['longitude'];
  d['violent_crime'] = + d['violent_crime'];
  d['year'] = new Date(d['year'])
  return d;
};

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
